{% extends "index_auth.html" %}

{% load i18n %}
{% load account %}


{% block base_auth %}
<section class="page__body">
    <div class="user-login">
        <div class="user-login__header">
            <h2>{% trans "Password Reset" %}</h2>
            {% if request.user.is_authenticated %}
                {% include "account/snippets/already_logged_in.html" %}
            {% endif %}
        </div>
        <div id="body" class="user-login__body">
            <form class="user-login__form" method="POST">
                {% csrf_token %}
                <div class="fieldset fieldset_login">
                    <div class="fieldset__item">
                        <div class="msg msg_info ta_center p_s">
                            <div class="fs_s">На указанный вами номер телефона будет отправлено SMS с паролем</div>
                        </div>
                    </div>
                    <div class="fieldset__item">
                        <div class="field">
                            <label class="field__label label label_center label_float label_s">телефон</label>
                            <div class="field__control control control_default control_m control_center">
                                <input id="id_phone" type="text" name="{{ form.phone.name }}"
                                       value="{{ form.phone.value|default:'' }}" required>
                            </div>
                        </div>
                    </div>
                    <div class="fieldset__item">
                        <button class="form__btn btn btn_primary btn_m btn_block">
                            <div class="btn__grid">
                                <div class="btn__title">Отправить</div>
                            </div>
                        </button>
                    </div>
                    <div class="fieldset__item">
                        <div class="user-login__links"><a class="link link_default" href="/">авторизация</a><a
                                class="link link_default" href="{{ signup_url }}">регистрация</a></div>
                    </div>
                    {% if form.errors %}
                        <div class="fieldset__item">
                            <div class="msg msg_error ta_center p_s">
                                {% for field in form %}
                                <div class="fs_s">{{ field.errors }}</div>
                                {% endfor %}
                            </div>
                        </div>
                    {% endif %}
                </div>
            </form>
        </div>
    </div>
    {% if messages %}
        {% for message in messages %}
            {% if message.message == 'success_restore' %}
                <div class="box box_s msg msg_success p_m">
                    <div class="box box_card ta_center">
                        <h3>Пароль отправлен</h3>
                        <div class="fs mt_s">На указанный вами номер был отправлен пароль</div>
                        <a class="btn btn_primary btn_m btn_inline mt_s" href="/">
                            <div class="btn__title">авторизоваться</div>
                        </a>
                    </div>
                </div>
                <style type="text/css">
                    #body {
                        display: none
                    }
                </style>
            {% endif %}
        {% endfor %}
    {% endif %}
</section>
{% endblock base_auth %}

